Page MenuHomePhabricator

Setup europium as locke replacement
Closed, ResolvedPublic

Description

Author: dvanliere

Description:

Locke was purchased in 2006, warranty expired in 2009, it's not fully
puppetized, it's not worth spending a lot of time on this machine but replace
it with a similar misc server that we will fully puppetize.

Refers To:
{T82254}
{T82232}

Referred To By:
{T82250}
{T82237}

Details

Reference
rt4689

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 1:33 AM
rtimport added a project: ops-core.
rtimport set Reference to rt4689.
RobH added a comment.Mar 7 2013, 8:13 PM

Member ticket #4690 added by robh

Dzahn added a comment.Mar 7 2013, 8:48 PM

Reference by ticket #4634 added by dzahn

Dzahn added a comment.Mar 7 2013, 8:49 PM

AdminCc robh added by dzahn

Jgreen added a comment.Mar 8 2013, 5:14 PM

Queue changed from ops-requests to core-ops by jgreen

RobH added a comment.Mar 8 2013, 6:24 PM

Reference to ticket #4698 added by robh

RobH added a comment.Mar 8 2013, 6:24 PM

Issue taken by robh

RobH added a comment.Mar 8 2013, 6:51 PM

Andrew,
I allocated server europium for this task. I would like to set it up on an
internal IP if the external one is not required. From looking at the puppet
manifests for the puppetized services on locke, it looks ok to use an internal
IP. That is only the puppetized services though.
--
Rob Halsell
Operations Engineer
Wikimedia Foundation, Inc.
E-Mail: <rhalsell at wikimedia>

Status changed from 'new' to 'open' by RT_System

RobH added a comment.Mar 8 2013, 8:21 PM

Subject changed from 'Replace locke with new misc machine in eqiad' to 'Setup europium as locke replacement' by robh

RobH added a comment.Mar 8 2013, 8:22 PM

Dependency on ticket #4702 added by robh

RobH added a comment.Mar 9 2013, 12:06 AM

Server europium is now deployed and ready for use. It has a public IP, and has
the same entries as locke does. I am assigning this ticket to Diederik as he
initially stepped up to get this migrated.
System will take any puppet changes during its normal runs. If you need any
further assistance, do not hesitate to ask!
--
Rob Halsell
Operations Engineer
Wikimedia Foundation, Inc.
E-Mail: <rhalsell at wikimedia>

RobH added a comment.Mar 9 2013, 12:06 AM

Given to dvanliere by robh

Cc jgreen added by dvanliere

Stolen from dvanliere by aotto

Cool, thanks Robh!
My biggest question is about the udp2log stream. Mark & Asher, can/should we set up udp2log
to consume from the multicast stream relay from oxygen? oxygen's own udp2log instance is
currently doing this. If we do the same on europium, we won't have to deploy config changes to
all the frontend caches to get the log stream to europium.

Dependency on ticket #4710 added by jgreen

afeldman wrote:

Europium can be unallocated and reclaimed - we're going to use a high perf misc
class server to replace locke instead.
https://rt.wikimedia.org/Ticket/Display.html?id=4718

Stolen from aotto by afeldman

Given to robh by afeldman

RobH added a comment.Mar 12 2013, 6:48 PM

Reference by ticket #4720 added by robh

RobH added a comment.Mar 13 2013, 9:32 PM

Reference to ticket #4710 added by robh

RobH added a comment.Mar 13 2013, 9:32 PM

Dependency on ticket #4710 deleted by robh

RobH added a comment.Mar 13 2013, 9:32 PM

Status changed from 'open' to 'resolved' by robh

Dzahn reopened this task as Open.Dec 21 2016, 5:19 PM
Dzahn added a subscriber: Dzahn.

re-opening since i found that europium is actually -still running- even though it's not in puppet and DNS only has mgmt left.

Dzahn changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".Dec 21 2016, 11:31 PM
Dzahn changed the edit policy from "WMF-NDA (Project)" to "All Users".

Mentioned in SAL (#wikimedia-operations) [2016-12-21T23:31:17Z] <mutante> europium - re-installing with jessie (T82239)